/**
 * @author R�mi Heredero
 * @version 1.0.0
 * @date August 2023
 * @file eeprom_interface.h
 */
#ifndef EEPROM_INTERFACE_H
#define	EEPROM_INTERFACE_H

#include <stdint.h>         // usage of standard types
#include <stdbool.h>        // usage of boolean types
#include "../mcc_generated_files/mcc.h"

void MEM_write_one_byte(uint8_t addresse, uint8_t data);
void MEM_write_four_byte(uint8_t adresse, uint32_t data);
uint8_t MEM_read_one_byte(uint8_t adresse);
uint32_t MEM_read_four_byte(uint8_t adresse);
// void MEM_write_CONTROL_STEERING_MODE(uint8_t data);

#endif	/* EEPROM_INTERFACE_H */

